Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/external/gpl2/gettext merge conflicts and add reach-over Mak...
details: https://anonhg.NetBSD.org/src/rev/0b94acd5b601
branches: trunk
changeset: 342870:0b94acd5b601
user: christos <christos%NetBSD.org@localhost>
date: Tue Jan 12 22:58:00 2016 +0000
description:
merge conflicts and add reach-over Makefiles
diffstat:
external/gpl2/gettext/Makefile | 11 +
external/gpl2/gettext/Makefile.inc | 15 +
external/gpl2/gettext/bin/Makefile | 8 +
external/gpl2/gettext/bin/Makefile.inc.prog | 31 +
external/gpl2/gettext/bin/gettext/Makefile | 10 +
external/gpl2/gettext/bin/gettextize/Makefile | 5 +
external/gpl2/gettext/bin/gettextize/gettextize | 238 ++
external/gpl2/gettext/bin/msgattrib/Makefile | 5 +
external/gpl2/gettext/bin/msgcat/Makefile | 5 +
external/gpl2/gettext/bin/msgcmp/Makefile | 5 +
external/gpl2/gettext/bin/msgcomm/Makefile | 5 +
external/gpl2/gettext/bin/msgconv/Makefile | 5 +
external/gpl2/gettext/bin/msgen/Makefile | 5 +
external/gpl2/gettext/bin/msgexec/Makefile | 5 +
external/gpl2/gettext/bin/msgfilter/Makefile | 5 +
external/gpl2/gettext/bin/msgfmt/Makefile | 9 +
external/gpl2/gettext/bin/msggrep/Makefile | 9 +
external/gpl2/gettext/bin/msginit/Makefile | 18 +
external/gpl2/gettext/bin/msgmerge/Makefile | 8 +
external/gpl2/gettext/bin/msgunfmt/Makefile | 7 +
external/gpl2/gettext/bin/msguniq/Makefile | 5 +
external/gpl2/gettext/bin/xgettext/Makefile | 37 +
external/gpl2/gettext/dist/Makefile.in | 3 +
external/gpl2/gettext/dist/autoconf-lib-link/Makefile.in | 2 +
external/gpl2/gettext/dist/gettext-runtime/Makefile.am | 2 +-
external/gpl2/gettext/dist/gettext-runtime/Makefile.in | 10 +
external/gpl2/gettext/dist/gettext-runtime/libasprintf/Makefile.in | 8 +
external/gpl2/gettext/dist/gettext-tools/Makefile.am | 2 +-
external/gpl2/gettext/dist/gettext-tools/Makefile.in | 10 +-
external/gpl2/gettext/dist/gettext-tools/doc/Makefile.in | 6 +
external/gpl2/gettext/dist/gettext-tools/doc/texi2html | 4 +-
external/gpl2/gettext/dist/gettext-tools/gnulib-lib/javaversion.c | 2 +
external/gpl2/gettext/dist/gettext-tools/libuniname/uniname.c | 3 +-
external/gpl2/gettext/dist/gettext-tools/misc/Makefile.in | 16 +-
external/gpl2/gettext/dist/gettext-tools/src/message.h | 1 +
external/gpl2/gettext/dist/gettext-tools/src/msgl-fsearch.c | 2 +-
external/gpl2/gettext/dist/gettext-tools/src/po-lex.c | 9 +-
external/gpl2/gettext/gettext2netbsd | 33 +
external/gpl2/gettext/include/alloca.h | 70 +
external/gpl2/gettext/include/byteswap.h | 52 +
external/gpl2/gettext/include/config.h | 909 ++++++++++
external/gpl2/gettext/include/gettext-po.h | 338 +++
external/gpl2/gettext/include/libgnuintl.h | 423 ++++
external/gpl2/gettext/info/Makefile | 12 +
external/gpl2/gettext/lib/Makefile | 7 +
external/gpl2/gettext/lib/libgrep/Makefile | 30 +
external/gpl2/gettext/lib/libnlspr/Makefile | 111 +
external/gpl2/gettext/lib/libnlsut/Makefile | 81 +
external/gpl2/gettext/locale/Makefile | 18 +
49 files changed, 2598 insertions(+), 17 deletions(-)
diffs (truncated from 3000 to 300 lines):
diff -r 975ea113d984 -r 0b94acd5b601 external/gpl2/gettext/Makefile
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/external/gpl2/gettext/Makefile Tue Jan 12 22:58:00 2016 +0000
@@ -0,0 +1,11 @@
+# $NetBSD: Makefile,v 1.1 2016/01/12 22:58:00 christos Exp $
+
+.include <bsd.own.mk>
+
+SUBDIR= lib .WAIT info bin
+
+.if ${MKNLS} != "no"
+SUBDIR+=locale
+.endif
+
+.include <bsd.subdir.mk>
diff -r 975ea113d984 -r 0b94acd5b601 external/gpl2/gettext/Makefile.inc
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/external/gpl2/gettext/Makefile.inc Tue Jan 12 22:58:00 2016 +0000
@@ -0,0 +1,15 @@
+# $NetBSD: Makefile.inc,v 1.1 2016/01/12 22:58:00 christos Exp $
+
+.include <bsd.own.mk>
+
+DIST= ${NETBSDSRCDIR}/external/gpl2/gettext/dist
+
+CPPFLAGS+= -DHAVE_CONFIG_H -I${.CURDIR} -I${.CURDIR}/../../include \
+ -I${DIST}/gettext-tools/gnulib-lib \
+ -DLOCALEDIR=\"/usr/share/locale\" \
+ -DBISON_LOCALEDIR=\"\" \
+ -DPKGDATADIR=\"\"
+
+BINDIR?= /usr/bin
+
+CWARNFLAGS.clang+= -Wno-format-security
diff -r 975ea113d984 -r 0b94acd5b601 external/gpl2/gettext/bin/Makefile
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/external/gpl2/gettext/bin/Makefile Tue Jan 12 22:58:00 2016 +0000
@@ -0,0 +1,8 @@
+# $NetBSD: Makefile,v 1.1 2016/01/12 22:58:01 christos Exp $
+
+.include <bsd.own.mk>
+
+SUBDIR= msgattrib msgcat msgcmp msgcomm msgconv msgen msgfilter \
+ msgfmt msginit msgmerge msgunfmt msguniq xgettext
+
+.include <bsd.subdir.mk>
diff -r 975ea113d984 -r 0b94acd5b601 external/gpl2/gettext/bin/Makefile.inc.prog
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/external/gpl2/gettext/bin/Makefile.inc.prog Tue Jan 12 22:58:00 2016 +0000
@@ -0,0 +1,31 @@
+# $NetBSD: Makefile.inc.prog,v 1.1 2016/01/12 22:58:01 christos Exp $
+
+.include <bsd.own.mk>
+.include "${.PARSEDIR}/../Makefile.inc"
+
+PROGDPLIBS+= nlspr ${.CURDIR}/../../lib/libnlspr
+PROGDPLIBS+= nlsut ${.CURDIR}/../../lib/libnlsut
+
+#LIBNLSPRDIR!= cd ${.CURDIR}/../../lib/libnlspr && ${PRINTOBJDIR}
+#LDADD+= -L${LIBNLSPRDIR} -lnlspr
+#DPADD+= ${LIBNLSPRDIR}/libnlspr.a
+
+#LIBNLSUTDIR!= cd ${.CURDIR}/../../lib/libnlsut && ${PRINTOBJDIR}
+#DPADD+= ${LIBNLSUTDIR}/libnlsut.a
+#LDADD+= -L${LIBNLSUTDIR} -lnlsut
+
+LDADD+= -lintl
+DPADD+= ${LIBINTL}
+
+.include <bsd.prog.mk>
+
+.if defined(PROG) && ${PROG} == "gettext"
+TOOLTOP=${DIST}/gettext-runtime/src
+.else
+TOOLTOP=${DIST}/gettext-tools/src
+.PATH.1: ${DIST}/gettext-tools/man
+.endif
+MAN=${PROG}.1
+
+.PATH: ${TOOLTOP}
+CPPFLAGS+= -I${TOOLTOP}
diff -r 975ea113d984 -r 0b94acd5b601 external/gpl2/gettext/bin/gettext/Makefile
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/external/gpl2/gettext/bin/gettext/Makefile Tue Jan 12 22:58:00 2016 +0000
@@ -0,0 +1,10 @@
+# $NetBSD: Makefile,v 1.1 2016/01/12 22:58:01 christos Exp $
+
+PROG= gettext
+
+CLEANFILES+=gettext.1
+
+.include "${.CURDIR}/../Makefile.inc.prog"
+
+gettext.1: ${DIST}/gettext/gettext-runtime/man/gettext.1.in
+ cp $> $@
diff -r 975ea113d984 -r 0b94acd5b601 external/gpl2/gettext/bin/gettextize/Makefile
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/external/gpl2/gettext/bin/gettextize/Makefile Tue Jan 12 22:58:00 2016 +0000
@@ -0,0 +1,5 @@
+# $NetBSD: Makefile,v 1.1 2016/01/12 22:58:01 christos Exp $
+
+SCRIPTS= gettextize
+
+.include "${.CURDIR}/../Makefile.inc.prog"
diff -r 975ea113d984 -r 0b94acd5b601 external/gpl2/gettext/bin/gettextize/gettextize
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/external/gpl2/gettext/bin/gettextize/gettextize Tue Jan 12 22:58:00 2016 +0000
@@ -0,0 +1,238 @@
+#! /bin/sh
+#
+# Copyright (C) 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+
+# This file is meant for authors or maintainers which want to
+# internationalize their package with the help of GNU gettext. For
+# further information how to use it consult the GNU gettext manual.
+
+echo=echo
+progname=$0
+force=0
+configstatus=0
+origdir=`pwd`
+usage="\
+Usage: gettextize [OPTION]... [package-dir]
+ --help print this help and exit
+ --version print version information and exit
+ -c, --copy copy files instead of making symlinks
+ -f, --force force writing of new files even if old exist
+Report bugs to <bug-gnu-utils%prep.ai.mit.edu@localhost>."
+package=gettext
+version=0.10.35
+aclocal_version=
+try_ln_s=:
+
+while test $# -gt 0; do
+ case "$1" in
+ -c | --copy | --c* )
+ shift
+ try_ln_s=false ;;
+ -f | --force | --f* )
+ shift
+ force=1 ;;
+ -r | --run | --r* )
+ shift
+ configstatus=1 ;;
+ --help | --h* )
+ $echo "$usage"; exit 0 ;;
+ --version | --v* )
+ echo "$progname (GNU $package) $version"
+ $echo "Copyright (C) 1996, 1997, 1998 Free Software Foundation, Inc.
+This is free software; see the source for copying conditions. There is NO
+warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
+ $echo "Written by" "Ulrich Drepper"
+ exit 0 ;;
+ -- ) # Stop option prcessing
+ shift; break ;;
+ -* )
+ $echo "gettextize: unknown option $1"
+ $echo "Try \`gettextize --help' for more information."; exit 1 ;;
+ * )
+ break ;;
+ esac
+done
+
+if test $# -gt 1; then
+ $echo "$usage"
+ exit 1
+fi
+
+# Fill in the command line options value.
+if test $# -eq 1; then
+ srcdir=$1
+ if cd $srcdir; then
+ srcdir=`pwd`
+ else
+ $echo "Cannot change directory to \`$srcdir'"
+ exit 1
+ fi
+else
+ srcdir=$origdir
+fi
+
+# Directory where the sources are stored.
+prefix=/usr/pkg
+gettext_dir=${prefix}/share/gettext
+aclocal_dir=${datadir}/aclocal
+
+test -f configure.in || {
+ $echo "Missing configure.in, please cd to your package first."
+ exit 1
+}
+
+if test -d intl && test $force -eq 0; then
+ $echo "\
+intl/ subdirectory exists: use option -f if you really want to delete it."
+ exit 1
+fi
+
+if test -f po/Makefile.in.in && test $force -eq 0; then
+ $echo "\
+po/Makefile.in.in exists: use option -f if you really want to delete it."
+ exit 1
+fi
+
+if test -f NLS && test $force -eq 0; then
+ $echo "NLS exists: use option -f if you really want to delete it."
+ exit 1
+fi
+
+rm -fr intl
+mkdir intl || {
+ $echo "failed to create intl/ subdirectory"
+ exit 1;
+}
+
+test -d po || mkdir po || {
+ $echo "failed to create po/ subdirectory"
+ exit 1
+}
+
+# For simplicity we changed to the gettext source directory.
+cd $gettext_dir
+
+# Now copy all files. Take care for the destination directories.
+for file in *; do
+ case $file in
+ intl | po | demo)
+ ;;
+ *)
+ rm -f $srcdir/$file
+ ($try_ln_s && ln -s $gettext_dir/$file $srcdir/$file) 2>/dev/null ||
+ cp $file $srcdir/$file
+ ;;
+ esac
+done
+
+# Copy files to intl/ subdirectory.
+cd intl
+for file in *; do
+ rm -f $srcdir/intl/$file
+ ($try_ln_s && ln -s $gettext_dir/intl/$file $srcdir/intl/$file) 2>/dev/null ||
+ cp $file $srcdir/intl/$file
+done
+
+# Copy files to po/ subdirectory.
+cd ../po
+for file in *; do
+ rm -f $srcdir/po/$file
+ ($try_ln_s && ln -s $gettext_dir/po/$file $srcdir/po/$file) 2>/dev/null ||
+ cp $file $srcdir/po/$file
+done
+
+
+# Check whether we can run config.status to produce intl/Makefile.in.
+cd $origdir
+if test -f ./config.status; then
+ if test $configstatus -eq 0; then
+ echo "Shall I run config.status? (y/N)"
+ read ans
+ case "$ans" in
+ y* | Y* | 1* )
+ configstatus=1 ;;
+ * )
+ ;;
+ esac
+ fi
+
+ test $configstatus -ne 0 &&
+ (CONFIG_FILES=intl/Makefile CONFIG_HEADERS= ./config.status)
+fi
+
+merge=no
+OLD_IFS="$IFS"
+IFS="."
+cntr=0
+major=0; minor=0; subminor=0
+for num in $aclocal_version; do
+ case $cntr in
+ 0) major=$num;;
+ 1) minor=$num;;
+ 2) subminor=$num;;
+ esac
+ cntr=`expr $cntr + 1`
+done
+IFS="$OLD_IFS"
+
Home |
Main Index |
Thread Index |
Old Index